UbixOS V2 2.0

Functions
syscall_posix.h File Reference
`#include <sys/trap.h>`
Include dependency graph for syscall_posix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | _sys_call_posix ()
void | sys_call_posix (struct trapframe *frame)

## Function Documentation

## ◆ _sys_call_posix()

void _sys_call_posix | ( |  | ) |

## ◆ sys_call_posix()

void sys_call_posix | ( | struct trapframe * | frame | ) |

Definition at line 42 of file syscall_posix.c.

References _current, thread::abi, die_if_kernel(), ELFOSABI_FREEBSD, thread::frame, taskStruct::id, kpanic(), kprintf(), memcpy(), PSL_C, syscall_entry::sc_name, SYSCALL_DUMMY, SYSCALL_INVALID, SYSCALL_NOTIMP, systemCalls, systemCalls_posix, taskStruct::td, thread::td_retval, trapframe::tf_eax, trapframe::tf_edx, trapframe::tf_eflags, trapframe::tf_esp, and totalCalls_posix.

Here is the call graph for this function: